**RASCAS** (for RAdiative SCattering in Astrophysical Simulations) is a massively parallel code for resonant line transfer in AMR simulations. **RASCAS** has been designed to be easily customisable and to process simulations of arbitrarily large sizes on large supercomputers. **RASCAS** performs radiative transfer on an adaptive mesh with an octree structure using the Monte Carlo technique. **RASCAS** features full MPI parallelization, domain decomposition, adaptive load-balancing, and a standard peeling algorithm to construct mock observations. The radiative transport of resonant line photons through different mixes of species (e.g. HI, SiII, MgII, FeII), including their interaction with dust, is implemented in a modular fashion to allow new transitions to be easily added to the code. **RASCAS** may also be used to propagate photons at any wavelength (e.g. stellar continuum or fluorescent lines).

The homepage of the **RASCAS** project is [here](http://rascas.univ-lyon1.fr). 

A quick installation guide is available in the [doc](https://git-cral.univ-lyon1.fr/rascas/rascas/-/tree/master/doc/README.md) directory in this repository. Some examples to start with **RASCAS** are available in the [tutorials](https://git-cral.univ-lyon1.fr/rascas/rascas/-/tree/master/tutorials) directory.

If you use **RASCAS**, please acknowledge [Michel-Dansac et al. 2020, A&A 635, A154](https://www.aanda.org/articles/aa/abs/2020/03/aa34961-18/aa34961-18.html).


